<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.search.experiences.internal.search.spi.model.index.contributor.JournalArticleSentenceEmbeddingModelDocumentContributor" enabled="false" immediate="true" activate="activate" configuration-pid="com.liferay.search.experiences.configuration.SemanticSearchConfiguration">
  <property name="indexer.class.name" type="String" value="com.liferay.journal.model.JournalArticle"/>
  <service>
    <provide interface="com.liferay.portal.search.spi.model.index.contributor.ModelDocumentContributor"/>
  </service>
  <reference name="_language" interface="com.liferay.portal.kernel.language.Language" field="_language"/>
  <reference name="_sentenceEmbeddingRetriever" interface="com.liferay.search.experiences.ml.sentence.embedding.SentenceEmbeddingRetriever" field="_sentenceEmbeddingRetriever"/>
  <implementation class="com.liferay.search.experiences.internal.search.spi.model.index.contributor.JournalArticleSentenceEmbeddingModelDocumentContributor"/>
</scr:component>
